<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: index.php 502 2008-11-13 09:25:02Z lks $
 */


/**
 * Раскомментируйте следующие строчки для отображения ошибок. После устранения
 * ошибок не забудьте закоментировать их обратно
 */
//error_reporting(E_ALL);
//ini_set('display_errors', 1);

/**
 * Проверяем системные требования системы
 */
require_once 'zengine/requirements.php';

/** zengine */
require_once 'zengine/classes/zengine.php';

/**
 * Запрос страницы
 */
if (! defined('ZENGINE')) {
    define('ZENGINE', $_SERVER['REQUEST_URI']);
}

/**
 * Запоминаем корень сайта
 */
define('ZENGINE_HOMEDIR', dirname(__FILE__));

/**
 * Инициализация движка
 */
zengine::run(current(explode('?', ZENGINE)));
