<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: tagcloud.php 491 2008-11-11 14:13:37Z lks $
 */


/**
 * Выводит облако тэгов
 *
 * @package    zengine
 * @subpackage zhelper
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zhelper_tagcloud {
    /**
     * Выводит облако тэгов
     *
     */
    public function tagcloud ($open = '<ul class="tagcloud">', $line = '<li><a href="#link">#title</a></li>', $close = '</ul>') {
        $tags = array();
        $zmenu = zengine::zsource()->getMenu();
        $zmenu->extractTags($tags);
        if (empty($tags)) {
            return;
        }

        uasort($tags, array($this, 'tagcmp'));
        echo $open;
        foreach ($tags as $link => $tag) {
            $from = array('#link', '#title');
            $to = array(zengine::getModule('ztags')->getTagLink($link), $tag['name']);
            echo str_replace($from, $to, $line);
        }
        echo $close;
	}

    /**
     * Сортирует тэги между собой
     *
     * @param array $left
     * @param array $right
     * @return int
     */
    public function tagcmp ($left, $right) {
        if ($left['count'] == $right['count']) {
            return strcmp($left['name'], $right['name']);
        }
        return ($left['count'] > $right['count'] ? -1 : 1);
    }
}
