<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: pagetags.php 495 2008-11-12 14:38:09Z lks $
 */


/**
 * Выводит список тэгов страницы
 *
 * @package    zengine
 * @subpackage zhelper
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zhelper_pagetags {
    /**
     * Выводит список тэгов страницы. Список тэгов оформляется в шаблон, где
     * происходит замена #tags на список ссылок
     *
     * @param string $template шаблон для вывода
     */
	public function pagetags ($template = '#tags') {
	    $tags = $this->zpage->getTags();
	    if (empty($tags)) {
	        return;
	    }

	    foreach ($tags as $link => &$tag) {
	        $tag = '<a rel="tag" href="' . zengine::getModule('ztags')->getTagLink($link) . '">' . $tag . '</a>';
	    }

	    echo str_replace('#tags', implode(', ', $tags), $template);
	}
}
